Bug 323557 - When starting PMC directly with a video the second time, the video is not shown
Summary: When starting PMC directly with a video the second time, the video is not shown
Status: RESOLVED FIXED
Alias: None
Product: plasma-mediacenter
Classification: Unclassified
Component: MediaPlayer (show other bugs)
Version: 1.1.0
Platform: unspecified Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Shantanu Tushar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-15 18:37 UTC by Thomas Pfeiffer
Modified: 2013-08-17 04:14 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Pfeiffer 2013-08-15 18:37:44 UTC
When starting PMC directly with a video file for the first time, it plays fine. When I then close PMC and open another video, the video player UI comes up and the video's sound is played, but the video is not shown.
If I click the back arrow twice to go back to the home screen and then click the place where the back arrow was again, I get back to the video and it is played.

If I select a video to play from within PMC, it plays correctly. If I then close PMC and open a video from the file browser, it plays correctly. Closing PMC and opening another video file brings the problem back. 

Reproducible: Always

Steps to Reproduce:
1. Go to the file browser
2. Click a video file
3. Close PMC
4. Click another video file
Actual Results:  
PMC with video play UI is shown, video's sound plays but no visuals

Expected Results:  
Video plays normally

I experienced this in Plasma Active
Comment 1 Shantanu Tushar 2013-08-16 18:38:42 UTC
Git commit 1e32baed2396bed6f91bbf471bf86b9f881a219c by Shantanu Tushar.
Committed on 16/08/2013 at 18:33.
Pushed by shantanu into branch 'master'.

Don't attempt to hide the mediaplayer if its the current page.

M  +3    -1    shells/newshell/package/contents/ui/mediacenter.qml

http://commits.kde.org/plasma-mediacenter/1e32baed2396bed6f91bbf471bf86b9f881a219c
Comment 2 Thomas Pfeiffer 2013-08-16 19:47:16 UTC
I can confirm that did the trick :) Thanks for fixing this so quickly!
Comment 3 Shantanu Tushar 2013-08-17 04:14:22 UTC
Cool :)